org.jboss.jca.embedded.dsl.resourceadapters11.api

## Interface WorkmanagerSecurityMappingType<T>

- All Superinterfaces:
    org.jboss.shrinkwrap.descriptor.api.Child<T>

      public interface WorkmanagerSecurityMappingType<T>
      extends org.jboss.shrinkwrap.descriptor.api.Child<T>

  This interface defines the contract for the `workmanagerSecurityMappingType` xsd type

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `WorkmanagerSecurityMappingType<T>` | `from(java.lang.String from)` Sets the `from` attribute
    `java.lang.String` | `getFrom()` Returns the `from` attribute
    `java.lang.String` | `getTo()` Returns the `to` attribute
    `WorkmanagerSecurityMappingType<T>` | `removeFrom()` Removes the `from` attribute
    `WorkmanagerSecurityMappingType<T>` | `removeTo()` Removes the `to` attribute
    `WorkmanagerSecurityMappingType<T>` | `to(java.lang.String to)` Sets the `to` attribute

    - ### Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child

      `up`

- - ### Method Detail

    - #### from

          WorkmanagerSecurityMappingType<T> from(java.lang.String from)

      Sets the `from` attribute
      Parameters:
        `from` - the value for the attribute `from`
      Returns:
        the current instance of `WorkmanagerSecurityMappingType`

    - #### getFrom

          java.lang.String getFrom()

      Returns the `from` attribute
      Returns:
        the value defined for the attribute `from`

    - #### removeFrom

          WorkmanagerSecurityMappingType<T> removeFrom()

      Removes the `from` attribute
      Returns:
        the current instance of `WorkmanagerSecurityMappingType`

    - #### to

          WorkmanagerSecurityMappingType<T> to(java.lang.String to)

      Sets the `to` attribute
      Parameters:
        `to` - the value for the attribute `to`
      Returns:
        the current instance of `WorkmanagerSecurityMappingType`

    - #### getTo

          java.lang.String getTo()

      Returns the `to` attribute
      Returns:
        the value defined for the attribute `to`

    - #### removeTo

          WorkmanagerSecurityMappingType<T> removeTo()

      Removes the `to` attribute
      Returns:
        the current instance of `WorkmanagerSecurityMappingType`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)